Bug 1939939 (CVE-2021-28116)

Summary: CVE-2021-28116 squid: out-of-bounds read in WCCP protocol data may lead to information disclosure
Product: [Other] Security Response Reporter: Marian Rehak <mrehak>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: anon.amish, code, icesalov, jonathansteffan, jorton, lilhuang, luhliari, mkaplan, yjog, yozone
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in squid. An out-of-bounds read in the WCCP protocol can be leveraged as part of a chain for remote code execution leading to an information disclosure. The highest threat from this vulnerability is to data confidentiality.
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-05-12 02:16:02 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1939940, 1941505, 1941506    
Bug Blocks: 1934571    

Description Marian Rehak 2021-03-17 10:28:46 UTC
In some configurations, squid allows information disclosure because of an out-of-bounds read in WCCP protocol data. This can be leveraged as part of a chain for remote code execution as nobody.

Comment 1 Marian Rehak 2021-03-17 10:29:37 UTC
Created squid tracking bugs for this issue:

Affects: fedora-all [bug 1939940]

Comment 2 Mauro Matteo Cascella 2021-03-19 09:28:58 UTC
External References:

https://www.zerodayinitiative.com/advisories/ZDI-21-157/

Comment 3 Mauro Matteo Cascella 2021-03-19 09:41:24 UTC
*** Bug 1934558 has been marked as a duplicate of this bug. ***

Comment 12 errata-xmlrpc 2022-05-10 14:24:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:1939 https://access.redhat.com/errata/RHSA-2022:1939

Comment 13 Product Security DevOps Team 2022-05-12 02:16:00 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-28116